#!/bin/ksh
#*******************************************************************************
#* Licensed Materials - Property of IBM
#* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
#* 
#* Note to U.S. Government Users Restricted Rights:
#* Use, duplication or disclosure restricted by GSA ADP Schedule
#* Contract with IBM Corp. 
#*******************************************************************************

	if [ -w /etc/profile ]; then
		echo \# Rational Insight Configuration $1 >> /etc/profile
		if [ $2 = 'APPEND' ]; then
			echo export $3=\"\$$3:$4\" >> /etc/profile
		elif [ $2 = 'PREPEND' ]; then
			echo export $3=\"$4:\$$3\" >> /etc/profile
		elif [ $2 = 'APPEND_SPACE_DELIM' ]; then
			echo export $3=\"\$$3 $4\" >> /etc/profile
		elif [ $2 = 'PREPEND_SPACE_DELIM' ]; then
			echo export $3=\"$4 \$$3\" >> /etc/profile
		else
			echo export $3=\"$4\" >> /etc/profile
		fi
		echo \# End of Rational Insight Configuration $1 >> /etc/profile
	fi
	
	if [ -w /etc/.login ]; then
		echo \# Rational Insight Configuration $1 >> /etc/.login
		if [ $2 = 'APPEND' ]; then
			echo export $3=\"\$$3:$4\" >> /etc/.login
		elif [ $2 = 'PREPEND' ]; then
			echo export $3=\"$4:\$$3\" >> /etc/.login
		elif [ $2 = 'APPEND_SPACE_DELIM' ]; then
			echo export $3=\"\$$3 $4\" >> /etc/.login
		elif [ $2 = 'PREPEND_SPACE_DELIM' ]; then
			echo export $3=\"$4 \$$3\" >> /etc/.login
		else
			echo export $3=\"$4\" >> /etc/.login
		fi
		echo \# End of Rational Insight Configuration $1 >> /etc/.login
	fi
	
	if [ -w /etc/bashrc ]; then
		echo \# Rational Insight Configuration $1 >> /etc/bashrc
		if [ $2 = 'APPEND' ]; then
			echo export $3=\"\$$3:$4\" >> /etc/bashrc
		elif [ $2 = 'PREPEND' ]; then
			echo export $3=\"$4:\$$3\" >> /etc/bashrc
		elif [ $2 = 'APPEND_SPACE_DELIM' ]; then
			echo export $3=\"\$$3 $4\" >> /etc/bashrc
		elif [ $2 = 'PREPEND_SPACE_DELIM' ]; then
			echo export $3=\"$4 \$$3\" >> /etc/bashrc
		else
			echo export $3=\"$4\" >> /etc/bashrc
		fi
		echo \# End of Rational Insight Configuration $1 >> /etc/bashrc
	fi

	if [ -w $HOME/.profile ]; then
		echo \# Rational Insight Configuration $1 >> $HOME/.profile
		if [ $2 = 'APPEND' ]; then
			echo export $3=\"\$$3:$4\" >> $HOME/.profile
		elif [ $2 = 'PREPEND' ]; then
			echo export $3=\"$4:\$$3\" >> $HOME/.profile
		elif [ $2 = 'APPEND_SPACE_DELIM' ]; then
			echo export $3=\"\$$3 $4\" >> $HOME/.profile
		elif [ $2 = 'PREPEND_SPACE_DELIM' ]; then
			echo export $3=\"$4 \$$3\" >> $HOME/.profile
		else
			echo export $3=\"$4\" >> $HOME/.profile
		fi
		echo \# End of Rational Insight Configuration $1 >> $HOME/.profile
	fi
	
	if [ -w $HOME/.login ]; then
		echo \# Rational Insight Configuration $1 >> $HOME/.login
		if [ $2 = 'APPEND' ]; then
			echo export $3=\"\$$3:$4\" >> $HOME/.login
		elif [ $2 = 'PREPEND' ]; then
			echo export $3=\"$4:\$$3\" >> $HOME/.login
		elif [ $2 = 'APPEND_SPACE_DELIM' ]; then
			echo export $3=\"\$$3 $4\" >> $HOME/.login
		elif [ $2 = 'PREPEND_SPACE_DELIM' ]; then
			echo export $3=\"$4 \$$3\" >> $HOME/.login
		else
			echo export $3=\"$4\" >> $HOME/.login
		fi
		echo \# End of Rational Insight Configuration $1 >> $HOME/.login
	fi
	
	if [ -w $HOME/.bash_profile ]; then
		echo \# Rational Insight Configuration $1 >> $HOME/.bash_profile
		if [ $2 = 'APPEND' ]; then
			echo export $3=\"\$$3:$4\" >> $HOME/.bash_profile
		elif [ $2 = 'PREPEND' ]; then
			echo export $3=\"$4:\$$3\" >> $HOME/.bash_profile
		elif [ $2 = 'APPEND_SPACE_DELIM' ]; then
			echo export $3=\"\$$3 $4\" >> $HOME/.bash_profile
		elif [ $2 = 'PREPEND_SPACE_DELIM' ]; then
			echo export $3=\"$4 \$$3\" >> $HOME/.bash_profile
		else
			echo export $3=\"$4\" >> $HOME/.bash_profile
		fi
		echo \# End of Rational Insight Configuration $1 >> $HOME/.bash_profile
	fi

	if [ -w $HOME/.bashrc ]; then
		echo \# Rational Insight Configuration $1 >> $HOME/.bashrc
		if [ $2 = 'APPEND' ]; then
			echo export $3=\"\$$3:$4\" >> $HOME/.bashrc
		elif [ $2 = 'PREPEND' ]; then
			echo export $3=\"$4:\$$3\" >> $HOME/.bashrc
		elif [ $2 = 'APPEND_SPACE_DELIM' ]; then
			echo export $3=\"\$$3 $4\" >> $HOME/.bashrc
		elif [ $2 = 'PREPEND_SPACE_DELIM' ]; then
			echo export $3=\"$4 \$$3\" >> $HOME/.bashrc
		else
			echo export $3=\"$4\" >> $HOME/.bashrc
		fi
		echo \# End of Rational Insight Configuration $1 >> $HOME/.bashrc
	fi
