#!/bin/ksh
#*******************************************************************************
#* Licensed Materials - Property of IBM
#* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
#* 
#* Note to U.S. Government Users Restricted Rights:
#* Use, duplication or disclosure restricted by GSA ADP Schedule
#* Contract with IBM Corp. 
#*******************************************************************************
if [ -w /etc/profile ]; then
	sed -n '1h;1!H;${;g;s/# Rational Insight Configuration [ID].*# End of Rational Insight Configuration [ID]//g;p;}' /etc/profile > /etc/profile_insight
	mv -f /etc/profile_insight /etc/profile
fi

if [ -w /etc/.login ]; then
	sed -n '1h;1!H;${;g;s/# Rational Insight Configuration [ID].*# End of Rational Insight Configuration [ID]//g;p;}' /etc/.login > /etc/.login_insight
	mv -f /etc/.login_insight /etc/.login
fi

if [ -w /etc/bashrc ]; then
	sed -n '1h;1!H;${;g;s/# Rational Insight Configuration [ID].*# End of Rational Insight Configuration [ID]//g;p;}' /etc/bashrc > /etc/bashrc_insight
	mv -f /etc/bashrc_insight /etc/bashrc
fi

if [ -w $HOME/.profile ]; then
	sed -n '1h;1!H;${;g;s/# Rational Insight Configuration [ID].*# End of Rational Insight Configuration [ID]//g;p;}' $HOME/.profile > $HOME/.profile_insight
	mv -f $HOME/.profile_insight $HOME/.profile
fi

if [ -w $HOME/.login ]; then
	sed -n '1h;1!H;${;g;s/# Rational Insight Configuration [ID].*# End of Rational Insight Configuration [ID]//g;p;}' $HOME/.login > $HOME/.login_insight
	mv -f $HOME/.login_insight $HOME/.login
fi

if [ -w $HOME/.bash_profile ]; then
	sed -n '1h;1!H;${;g;s/# Rational Insight Configuration [ID].*# End of Rational Insight Configuration [ID]//g;p;}' $HOME/.bash_profile > $HOME/.bash_profile_insight
	mv -f $HOME/.bash_profile_insight $HOME/.bash_profile
fi

if [ -w $HOME/.bashrc ]; then
	sed -n '1h;1!H;${;g;s/# Rational Insight Configuration [ID].*# End of Rational Insight Configuration [ID]//g;p;}' $HOME/.bashrc > $HOME/.bashrc_insight
	mv -f $HOME/.bashrc_insight $HOME/.bashrc
fi
